ENTRY(_startup)

MEMORY
{
	RAM (rw) : ORIGIN = 0x40000200, LENGTH = (0x00010000 - 0x00000200 - 0x20 - 0x100)
}

SECTIONS
{
	.text :
	{
		_text = .;
		*startup.o (.text)
		*(.text)
		*(.glue_7)
		*(.glue_7t)
	} > RAM

	. = ALIGN(4);
	_etext = .;

	.rodata :
	{
		_rodata = . ;
		*(.rodata)
	} > RAM

	. = ALIGN(4);
	_erodata = .;

	.data :
	{
		_data = . ;
		*(.data)
	} > RAM

	. = ALIGN(4);
	_edata = .;

	.bss :
	{
		__bss_start = .;
		*(.bss)
	} > RAM

	. = ALIGN(4);
	__bss_end = . ;
}
_end = .;
